# K3s cluster

|                    Name | Usage                                | Accessibility | Host         |    Automated backups | Configured                          |
|                      -- | --                                   |            -- | --           |                   -- | --                                  |
|            therbron.com | Personal website                     |        Public | Socrates     |    Nothing to backup | No                                  |
|                 Traefik | Reverse proxy and load balancer      |       Public* | Socrates     |    Git configuration | Partial (Missing TLS)               |
|                 Adguard | DNS ad blocker and custom DNS server |       Private | Socrates     | <center> ? </center> | Partial (Missing prod deployment)   |
| Owncloud Infinity Scale | File hosting webUI                   |        Public | Plato        | <center> ? </center> | No                                  |
|      Home     assistant | Home automation and monitoring       |       Private | Pythagoras-a | <center> ? </center> | No                                  |
|                 Pwndrop | On the fly file downloading          |       Public* | Pythagoras-b | <center> ? </center> | No                                  |
|                 Vikunja | To-do and Kanban boards              |        Public | Pythagoras-b | <center> ? </center> | No (To be integrated in Gitlab)     |
|                  Gitlab | Version control system               |        Public | Pythagoras-b | <center> ? </center> | No                                  |
|                    Wiki | Documentation manager                |        Public | Pythagoras-b | <center> ? </center> | No (Migrate to VuePress and Gitlab) |
|               Bitwarden | Password manager                     |        Public | Pythagoras-b | <center> ? </center> | No                                  |
|                Jellyfin | Media streaming                      |        Public | Archimedes   | <center> ? </center> | No                                  |
|                  Sonarr | TV shows collection manager          |       Private | Plato        | <center> ? </center> | No                                  |
|                  Radarr | Movie collection manager             |       Private | Plato        | <center> ? </center> | No                                  |
|                 Jackett | Torrent indexer                      |       Private | Plato        | <center> ? </center> | No                                  |
|                  Deluge | Torrent client                       |       Private | Plato        | <center> ? </center> | No                                  |

## Notes
Add node to the list of available load balancer
`kubectl label node <node-name> svccontroller.k3s.cattle.io/enablelb=true`
